%global framework libkleo

Name:           kf5-%{framework}
Version:        16.04.0
Release:        1%{?dist}
Summary:        KDE PIM cryptographic library

License:        GPLv2+
URL:            http://projects.kde.org/?p=%{framework}.git


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Gpgmepp)
BuildRequires:  cmake(KF5PimTextEdit)

Requires:       kf5-filesystem >= 5.19.0

Obsoletes:      kdepim-libs%{?_isa} < 16.04.0
Conflicts:      kdepim-libs%{?_isa} < 16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5Gpgmepp)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/libkleopatrarc
%{_kf5_libdir}/libKF5Libkleo.so.*
%{_kf5_datadir}/libkleopatra

%files devel
%{_kf5_libdir}/libKF5Libkleo.so
%{_kf5_libdir}/cmake/KF5Libkleo
%{_kf5_includedir}/Libkleo
%{_kf5_includedir}/libkleo
%{_kf5_includedir}/libkleo_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_Libkleo.pri

%changelog
* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
